Bug 361153 - Missing any information or dedicated website for KDE Frameworks / KF5
Summary: Missing any information or dedicated website for KDE Frameworks / KF5
Status: RESOLVED FIXED
Alias: None
Product: www.kde.org
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kde-www mailing-list
URL: http://kde.org
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-29 16:57 UTC by Matija Šuklje
Modified: 2018-12-11 12:33 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matija Šuklje 2016-03-29 16:57:03 UTC
Apart from release info, it is extremely hard to find any description or information on KF5 on KDE’s website.

If the KDE Frameworks are to be used by a wider community, we have to have something that “sells” it, so people are willing to dive into the actual docs and code :)

Reproducible: Always

Steps to Reproduce:
1) go to: www.kde.org
2) try to find info on KF5 / KDE Frameworks

Actual Results:  
do *not* succeed

Expected Results:  
a nice webpage that explains what KDE Frameworks are and who and why it is useful, where to get more info and contacts
Comment 1 Olivier Churlaud 2016-03-30 12:04:44 UTC
This should definitely go to the kde.org website AND LINK TO https://techbase.kde.org/KF5.

The latter is empty, and should be filled by the Framework people. We are working on a better way to handle this.
Comment 2 Jonathan Riddell 2018-12-10 14:39:39 UTC
proposed https://www.kde.org/products/frameworks/

please make suggestions at https://phabricator.kde.org/T10175